Summary:	A set of GNU Interactive Tools
Name: 		gnuit
Version:	4.9.5
Release:	%mkrel 15
License:	GPLv3
Group:		File tools
URL:		https://www.gnu.org/software/gnuit/
Source: 	https://ftp.gnu.org/gnu/gnuit/%{name}-%{version}.tar.gz
Patch1:		0001-Fix-string-format-errors.patch
Patch2:		0002-Fix-linking.patch
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	tetex
BuildRequires:	texinfo
BuildRequires:	texi2html


%description
gnuit (GNU Interactive Tools) provides an extensible file
system browser, an ASCII/hexadecimal file viewer, a process viewer/killer
and other related utilities and shell scripts.  gnuit can be used to increase
the speed and efficiency of copying and moving files and directories,
invoking editors, compressing and uncompressing files, creating and expanding
archives, compiling programs, sending mail and more. gnuit uses standard
ANSI color sequences, if they are available.

You should install the gnuit package if you are interested in using its file
management capabilities.

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="%{optflags} -std=gnu17"
# fix build on aarch64
autoreconf -vfi

%configure \
	--with-terminfo \
	--enable-smp \
	--disable-transition
%make_build

# Force rebuild of info file
pushd doc
makeinfo gnuit.texinfo
popd

%install
%make_install

%files
%doc ChangeLog LSM NEWS PLATFORMS PROBLEMS README INSTALL doc/gnuit.html
%{_bindir}/*
%{_bindir}/.gitaction
%{_mandir}/man1/*
%{_infodir}/*
%{_datadir}/gnuit/


%changelog
* Wed May 14 2025 ns80 <ns80> 4.9.5-15.mga10
+ Revision: 2183479
- try to fix building with GCC 15

* Fri Apr 01 2022 umeabot <umeabot> 4.9.5-14.mga9
+ Revision: 1839865
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 ovitters <ovitters> 4.9.5-13.mga8
+ Revision: 1616883
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Thu Feb 13 2020 umeabot <umeabot> 4.9.5-12.mga8
+ Revision: 1512612
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.9.5-11.mga7
+ Revision: 1297995
- Mageia 7 Mass Rebuild

* Wed Jun 20 2018 wally <wally> 4.9.5-10.mga7
+ Revision: 1238406
- fix build on aarch64
- use configure2_5x macro

* Fri May 06 2016 ngompa <ngompa> 4.9.5-9.mga6
+ Revision: 1009848
- Remove obsolete Obsoletes lines

* Mon Feb 15 2016 umeabot <umeabot> 4.9.5-8.mga6
+ Revision: 960487
- Mageia 6 Mass Rebuild

* Sun Oct 18 2015 daviddavid <daviddavid> 4.9.5-7.mga6
+ Revision: 892556
- do not strip debug files (fix build with latest rpm)

* Wed Oct 15 2014 umeabot <umeabot> 4.9.5-6.mga5
+ Revision: 747722
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.9.5-5.mga5
+ Revision: 679823
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.9.5-4.mga4
+ Revision: 505145
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.9.5-3.mga3
+ Revision: 352354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 12 2011 ahmad <ahmad> 4.9.5-2.mga1
+ Revision: 68351
- imported package gnuit


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 4.9.5-2mdv2011.0
+ Revision: 610953
- rebuild

* Thu Apr 01 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 4.9.5-1mdv2010.1
+ Revision: 530734
- Upstream renamed project to gnuit
- Upstream renamed the package to "gnuit"
- New version: 4.9.5
- Spec and patches adapted to new name

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 4.3.20-20mdv2009.0
+ Revision: 266925
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Anssi Hannula <anssi@mandriva.org> 4.3.20-19mdv2009.0
+ Revision: 218151
- remove now unneeded conflicts with linus-git (Paulo prefixed the
  programs)
- simplify obsoletes versioning

* Wed Jun 11 2008 Paulo Andrade <pcpa@mandriva.com.br> 4.3.20-18mdv2009.0
+ Revision: 218119
- Rename git directory to gnu-git, to match new package name.
- Fix some typos in documentation patch.
  Add a conflicts with older versions of linus-git package.
- Rename spec file.
- Modify the git package so that it can be renamed to gnu-git, and not
  conflict with linus-git package, that should be renamed to just git.
  This should address #34692 (Installing git isn't easy...)

  + Andreas Hasenack <andreas@mandriva.com>
    - rebuild for 2008.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 20 2007 Adam Williamson <awilliamson@mandriva.org> 4.3.20-14mdv2008.0
+ Revision: 91265
- rebuild for 2008

